Subject: Re: [PATCH] Makefile: make COMPUTE_HEADER_DEPENDENCIES=auto work with DEVOPTS=pedantic

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Sep 2021 17:03:58 -0700

Jeff King <[email-masked]> writes:

> I almost suggested using "git.c" as the dummy file, since we know it
> must compile anyway. But that probably has other problems (it's more
> expensive, and if it _does_ have an error, the results may be
> confusing).
>
> It's a shame we can't just try to do the _real_ compiles using the
> auto-dependency stuff, and then fall back if they fail. But I think
> there's a chicken-and-egg problem there with "make" doing real work, and
> figuring out the dependencies to do real work.

Yeah, if compiling any of the real sources is inexpensive enough, I
would think that would be the happy way to go.  Do we have a trivial
source that almost never changes?  Perhaps version.c (especially if
we kick out two helper functions that do not really belong there)?

> ...
> I'm happy to submit that on top, or even turn the earlier hunk into a
> patch.  But let's see what Ævar has to say to what's been discussed so
> far. I don't want to derail his effort.

Yup.